LegacyCollector

Home | Legacy Firefox Extensions | Content Policy | Contact

Belgium eID

Author(s):



Use the Belgian electronic identity card (eID) in Firefox. In addition to this add-on, the eID middleware should also be installed on your computer: download the middleware for your operating system on eid.belgium.be.

The card reader should be connected before starting Firefox.

NOTE: While the WebExtension version of this add-on has been released, it does not do much on Firefox 57 yet due to missing APIs. The new APIs are available for Firefox 58, but an accompanying middleware update must be installed first from eid.belgium.be. As of November 23rd, this middleware update exists for some, but not all platforms, as a beta release. Please check that before trying out this updated add-on.

For Firefox 58, at least the following versions of the middleware are required to support this add-on:


Note that they may still be in beta at the moment.

Download files:

belgium-eid-1.0.11.1-signed.1-signed.xpi
belgium-eid-1.0.12.1-signed.1-signed.xpi
belgium-eid-1.0.18.1-signed.1-signed.xpi
belgium-eid-1.0.21.xpi
belgium-eid-1.0.22-linux.xpi
belgium-eid-1.0.22-mac.xpi
belgium-eid-1.0.22-windows.xpi
belgium-eid-1.0.23-linux.xpi
belgium-eid-1.0.23-mac.xpi
belgium-eid-1.0.23-windows.xpi




This page is part of the LegacyCollector website.
Disclaimer: All material on this site is property of their respective owners and available under
open licenses to the best of our knowledge. If you are an author and would like anything removed,
then please write an e-mail to legacy [at] collector dot org.